summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKurt Kanzenbach <kurt@kmk-computers.de>2020-06-20 10:30:28 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-06-20 13:14:46 +0200
commit81b8d812b0cd2b51ac2a8407ac3dea3cad52cdf4 (patch)
tree58b8bea7678a3cc6affa894c1bac090ede7cad1e /sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild
parentsys-kernel/rt-sources: Add rt-sources v5.4.44-rt27 (diff)
downloadgentoo-81b8d812b0cd2b51ac2a8407ac3dea3cad52cdf4.tar.gz
gentoo-81b8d812b0cd2b51ac2a8407ac3dea3cad52cdf4.tar.bz2
gentoo-81b8d812b0cd2b51ac2a8407ac3dea3cad52cdf4.zip
sys-kernel/rt-sources: Add rt-sources v5.6.17-rt10
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Kurt Kanzenbach <kurt@kmk-computers.de> Closes: https://github.com/gentoo/gentoo/pull/16340 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild')
-rw-r--r--sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild b/sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild
new file mode 100644
index 00000000000..12c5881dd44
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-5.6.17_p10.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~arm64"
+
+HOMEPAGE="https://www.kernel.org/pub/linux/kernel/projects/rt/"
+
+inherit eapi7-ver
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE} \
+ https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}"
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+ default
+
+ # 627796
+ sed \
+ "s/default PREEMPT_NONE/default PREEMPT_RT/g" \
+ -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ ewarn
+ ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the RT project developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds."
+ ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report problems, see: \
+${HOMEPAGE}."